<?php 
namespace App\Entities\Unidade;

use App\Utils\Entity;

class Unidade extends Entity
{
    protected $id;
    protected $descricao;
    protected $id_pessoa_juridica;
    protected $telemedicina;
    protected $id_chamefacil_server;

    public static function builder() : UnidadeBuilder
    {
        return (new UnidadeBuilder);
    }

    /**
     * @return mixed
     */
    public function getIdChamefacilServer()
    {
        return $this->id_chamefacil_server;
    }

    /**
     * @param mixed $id_chamefacil_server
     */
    public function setIdChamefacilServer($id_chamefacil_server): void
    {
        $this->id_chamefacil_server = $id_chamefacil_server;
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id): void
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getDescricao()
    {
        return $this->descricao;
    }

    /**
     * @param mixed $descricao
     */
    public function setDescricao($descricao): void
    {
        $this->descricao = $descricao;
    }

    /**
     * @return mixed
     */
    public function getIdPessoaJuridica()
    {
        return $this->id_pessoa_juridica;
    }

    /**
     * @param mixed $id_pessoa_juridica
     */
    public function setIdPessoaJuridica($id_pessoa_juridica): void
    {
        $this->id_pessoa_juridica = $id_pessoa_juridica;
    }

    /**
     * @return mixed
     */
    public function getTelemedicina()
    {
        return $this->telemedicina;
    }

    /**
     * @param mixed $telemedicina
     */
    public function setTelemedicina($telemedicina): void
    {
        $this->telemedicina = $telemedicina;
    }
}